<?
$system['title'] = __('ТОП') . ' - ' . __('Рефералов');
require SYS . 'header.php';

$k_post = count($sql -> selectCol("SELECT *
  FROM referals
  GROUP BY id_user"));
  
if ($k_post == 0) {
  ?>
  <div class="alert" style="margin: 2px;"><?= __('В топ рейтинге нет участников')?></div>
  <?
} else {
  $k_page = k_page($k_post, $system['page_str']);
  $page = page($k_page);
  $start =  $system['page_str'] * $page -  $system['page_str'];
  $array = $sql -> select("SELECT id_user, count(id_referal) AS count, SUM(wmr) AS summa
    FROM referals
    GROUP BY id_user
    ORDER BY `summa` DESC LIMIT $start, $system[page_str]");
    
  foreach ($array AS $post) {
    $ank = $sql -> fetch("SELECT id, rating FROM `users` WHERE `id` = '$post[id_user]' LIMIT 1");
    $num++;
    $i = $num + $start;
    ?>
    <div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
      <?= $i?>) <?= login($ank['id'], 1)?> <br />
      <?= __('Всего привел')?>: <?= $post['count']?> чел.<br />
      <?= __('Доход с рефералов')?>: <?= $post['summa']?> wmr<br />
    </div>
<?
if ($level > 3) {
?>
<div class="<?= ($num % 2 ? "nav1" : "nav2")?>">
<a href='/?func=user.referals&id=<?= $ank['id']?>'>Просмотреть список рефералов.</a>
</div>    
<?
  }}

  if ($k_page > 1) { 
    str('/?func=' . $func . '&amp;', $k_page, $page);
  }  
}
?>